Reply to topic

Calligra Flow package installation fails

Heluca
Registered Member
Posts
1
Karma
0
Installing calligraflow fails with an error about libvisio and calligra-libs. The basic Calligra Suite and Calligra Plan installs and runs without an issue.

This is a clean install of KDE neon user 5.12.0, 64-bit, package manager was updated/upgraded.

Here is the full output:
Code: Select all
sudo apt install calligraflow
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Starting pkgProblemResolver with broken count: 1
Starting 2 pkgProblemResolver with broken count: 1
Investigating (0) calligraflow [ amd64 ] < none -> 1:2.9.7-0ubuntu12 > ( universe/graphics )
Broken calligraflow:amd64 Depends on calligra-libs [ amd64 ] < 1:3.1.0-0neon+16.04+xenial+build30 > ( libs ) (= 1:2.9.7-0ubuntu12)
  Considering calligra-libs:amd64 17 as a solution to calligraflow:amd64 9999
Broken calligraflow:amd64 Depends on calligraflow-data [ amd64 ] < none -> 1:2.9.7-0ubuntu12 > ( universe/graphics ) (>= 1:2.9.7-0ubuntu12)
  Considering calligraflow-data:amd64 0 as a solution to calligraflow:amd64 9999
  Re-Instated calligraflow-data:amd64
Broken calligraflow:amd64 Depends on kde-runtime [ amd64 ] < none -> 4:15.12.3-0ubuntu1 > ( universe/kde ) (> 4:4.10)
  Considering kde-runtime:amd64 0 as a solution to calligraflow:amd64 9999
  Re-Instated kde-runtime-data:amd64
  Re-Instated kate-data:amd64
  Re-Instated libknewstuff3-4:amd64
  Re-Instated libktexteditor4:amd64
  Re-Instated libkatepartinterfaces4:amd64
  Re-Instated katepart:amd64
  Re-Instated libkjsapi4:amd64
  Re-Instated libkjsembed4:amd64
  Re-Instated libkrosscore4:amd64
  Re-Instated kdelibs-bin:amd64
  Re-Instated sgml-data:amd64
  Re-Instated docbook-xml:amd64
  Re-Instated docbook-xsl:amd64
  Re-Instated libxml2-utils:amd64
  Re-Instated kdoctools:amd64
  Re-Instated libenchant1c2a:amd64
  Re-Instated libqt4-opengl:amd64
  Re-Instated libqtwebkit4:amd64
  Re-Instated libkdewebkit5:amd64
  Re-Instated libkemoticons4:amd64
  Re-Instated libkfile4:amd64
  Re-Instated libkhtml5:amd64
  Re-Instated libkntlm4:amd64
  Re-Instated libpolkit-qt-1-1:amd64
  Re-Instated kdelibs5-plugins:amd64
  Re-Instated oxygen-icon-theme:amd64
  Re-Instated libkdnssd4:amd64
  Re-Instated libthreadweaver4:amd64
  Re-Instated libplasma3:amd64
  Re-Instated plasma-scriptengine-javascript:amd64
  Re-Instated libkactivities6:amd64
  Re-Instated libkdeclarative5:amd64
  Re-Instated libkdesu5:amd64
  Re-Instated libkmediaplayer4:amd64
  Re-Instated libknotifyconfig4:amd64
  Re-Instated libkxmlrpcclient4:amd64
  Re-Instated libnl-route-3-200:amd64
  Re-Instated ntrack-module-libnl-0:amd64
  Re-Instated libntrack0:amd64
  Re-Instated libntrack-qt4-1:amd64
  Re-Instated kde-runtime:amd64
Broken calligraflow:amd64 Depends on libvisio-0.1-1 [ amd64 ] < none -> 0.1.5-1ubuntu1 > ( libs )
  Considering libvisio-0.1-1:amd64 1 as a solution to calligraflow:amd64 9999
  Re-Instated libvisio-0.1-1:amd64
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 calligraflow : Depends: calligra-libs (= 1:2.9.7-0ubuntu12) but 1:3.1.0-0neon+16.04+xenial+build30 is to be installed
E: Unable to correct problems, you have held broken packages.

tosky
Registered Member
Posts
184
Karma
3
Calligra Flow is not part of Calligra anymore since version 3.0.0:
https://www.calligra.org/news/calligra-3-0-released/


The package that you see is from the old version, shipped with Ubuntu 16.04. So there is nothing to do.


tosky, proud to be a member of KDE forums since 2008-Oct.

 
Reply to topic

Bookmarks



Who is online

Registered users: abury, acheronuk, Baidu [Spider], Bing [Bot], calsa, daret, gfielding, Google [Bot], Invictus, kriixone, lhanigan, luisv, pcornett, rblackwell, Sogou [Bot]